package info.bukova.isspst.ui.reporting;

import info.bukova.isspst.ui.DocumentViewModel;

import java.util.HashMap;
import java.util.Map;

import org.zkoss.bind.annotation.Command;
import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.Executions;
import org.zkoss.zul.Window;

public class ReportVM extends DocumentViewModel
{
	@Init(superclass = true)
	public void init() {
		
	}
	
	@Command
	public void send() {
		Map<String, Boolean> params = new HashMap<String, Boolean>();
		params.put("report", true);
		Window mailForm = (Window) Executions.createComponents("/app/mailForm.zul", null, params);
		mailForm.doModal();
	}

}
